package com.huimv.getdata.mapper;


import com.huimv.getdata.entity.caigou.*;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface ErpCaiGouMapper {

    List<DingDanJinE> getDingDanJinE(@Param("date")  String date);

    List<CaiGouRuKu> getCaiGouRuku(@Param("date") String date);

    List<FaPiaoJinE> getCaiGouFaPiao(@Param("date") String date);

    List<LeiJiRuKu> getLeiJiRuKu(@Param("date") String date);

    List<ShouLiaoJinE> getShouLiaoJinE(@Param("date") String date);

    List<JiaoHuoShuliang> getJiaoHuoShuLiang(@Param("date") String date);

    List<CaiGouShuLiang> getCaiGouShuLiang(@Param("date") String date);

    List<CaiGouDingDanShuLiangJinE> getCaiGouDingDanShuLiangJinE(@Param("date") String date);

    List<DaiJianShuLiang> getDaiJianShuLiang(@Param("date") String date);

    List<CaiGouYueJun> getCaiGouYueJun(@Param("date") String date);

    List<YingFuZhangKuan> getYingFuZhangKuang(@Param("date") String date);

    List<ZuiDiKuChun> getZuiDiKuChun(@Param("date") String date);

    List<CaiGouDingDanShuLiangJinE> getCaiGouHeTongShuLiangJinE(@Param("date") String date);
}
